.donate-box-containter {
    background: #191919;
    width: 100%;
    height: auto;
    margin: 25px 0px;
    padding-top: 10px;
}

.donate-button-and-accept-container {
    display: flex;
    width: 100%;
    height: auto;
    justify-content: space-between;
    align-items: center;
    gap: 15px;
}

@media (max-width: 430px) {
    .donate-button-and-accept-container
    {
        justify-content: center;
        align-items: flex-start;
        flex-direction: column;
        gap: 10px;
    }
}

h1.header-welcome {
    font-size: 25px;
    font-style: italic;
    font-weight: 700;
    color: #ddd;
    letter-spacing: 1px;
    text-transform: capitalize;
    line-height: 24px;
    margin-bottom: 5px;
}

@media (max-width: 430px) {
    h1.header-welcome {
        font-size: 22px;
    }
}

.donate-box-containter-text {
    display: flex;
    color: #bdbdbd;
    letter-spacing: 0.2px;
    margin: 35px 0px 35px 0px;
    border-radius: 8px;
    gap: 10px;
    font-size: 15px;
    line-height: 20px;
    flex-direction: column;
}

@media (max-width: 430px) {
    .donate-box-containter-text {
        margin: 25px 0px;
    }
}

.donate-message-containter {
    padding: 12px;
    background: #eee;
    border-radius: 8px;
    width: 100%;
    height: auto;
    position: relative;
    margin-bottom: 40px;
}

@media (max-width: 430px) {
    .donate-message-containter {
        margin-bottom: 50px;
    }
}

.donate-message-containter-flex {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}

.donate-message-heart {
    width: 100px;
    height: 68px;
    background: green;
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hall-of-containter {
    display: flex;
    width: 100%;
    height: auto;
    gap: 25px;
    margin-bottom: 40px;
}

@media (max-width: 700px) {
    .hall-of-containter {
        flex-direction: column;
        gap: 50px;
    }
}

.hall-of-fame-container {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: linear-gradient(166deg, #363636 0%, #0a0a0a 100%);
    border: 2px solid #363636;
    border-radius: 10px;
}

.hall-of-fame-container.bestofff {
    background: #353535;
    border: 2px solid #353535;
}

.hall-of-fame-container::-webkit-scrollbar {
    display: none;
}

@media (max-width: 700px) {
    .hall-of-fame-container {
        width: 100%;
    }
}

.header-hall {
    width: 100%;
    height: auto;
    padding: 18px;
    text-align: center;
    font-size: 22px;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-weight: 600;
    color: #939393;
    line-height: 24px;
}

@media (max-width: 700px) {
    .header-hall {
        font-size: 20px;
    }
}

.tabhall {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px 15px;
    flex-direction: column;
}

.bestofff .tabhall li {
    background: #191919;
}

a.href-donate {
    color: white;
    font-weight: 400;
    text-transform: uppercase;
    font-size: 18px;
    line-height: 20px;
    text-align: center;
    letter-spacing: 0.5px;
}

@media (max-width: 430px) {
    a.href-donate {
        width: 100%;
    }
}

.donateconti {
    max-width: 1000px;
}

.donate-button {
    padding: 25px 40px;
    border-radius: 8px;
    display: flex;
    position: relative;
    justify-content: center;
    flex-direction: row;
    will-change: transform, opacity;
    animation: popIn 0.7s ease forwards;
    animation-delay: 0.1s;
    align-items: center;
}

@keyframes popIn {
    0% { transform: scale(0.8); opacity: 0; }
    60% { transform: scale(1.05); opacity: 1; }
    80% { transform: scale(0.95); }
    100% { transform: scale(1); }
}

@keyframes shake {
    0%, 100% { transform: translateX(0); }
    20% { transform: translateX(-5px); }
    40% { transform: translateX(5px); }
    60% { transform: translateX(-3px); }
    80% { transform: translateX(3px); }
}

.img-patreon {
    width: 45px;
    min-width: 45px;
    height: 45px;
    object-fit: contain;
    margin: 0px 8px 0px 4px;
}

.img-girl-donate {
    width: 100%;
    height: 100%;
    max-height: 357px;
    object-fit: cover;
    border-radius: 6px;
}

.donate-text-welcome {
    letter-spacing: 0.5px;
    max-height: 172px;
    overflow: auto;
    color: #999;
}

.donate-message-containter-header {
    font-weight: 700;
    color: #8d8d8d;
    font-size: 15px;
    line-height: 20px;
    text-align: center;
    padding: 0 50px;
}

@media (max-width: 430px) {
    .donate-message-containter-header {
        padding-bottom: 5px;
    }
}

.donate-message-containter-text {
    font-size: 18px;
    color: #2c2c2c;
    font-weight: 400;
    font-style: italic;
    text-align: center;
    line-height: 22px;
}

.img-hearth-patr {
    position: absolute;
    right: -6px;
    top: -40px;
    width: 81px;
    object-fit: contain;
    will-change: transform;
    animation: swing 6s ease-in-out infinite;
    animation-delay: 0s, 0.8s;
}

/* Nekone�n� houp�n� (rotace) */
@keyframes swing {
    0% {
        transform: rotate(-20deg);
    }
    25% {
        transform: rotate(10deg);
    }
    50% {
        transform: rotate(-20deg);
    }
    75% {
        transform: rotate(10deg);
    }
    100% {
        transform: rotate(-20deg);
    }
}

@media (max-width: 430px) {
    .img-hearth-patr {
        width: 65px;
        height: auto;
        top: -24px;
    }
}

.tabhall ol {
    width: 100%;
    height: auto;
    list-style-type: none;
    padding-left: 0;
    max-height: 512px;
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

@media (max-width: 430px) {
    .tabhall ol {
        overflow: hidden;
    }
}

.tabhall li {
    display: flex;
    gap: 8px;
    align-items: center;
    font-size: 15px;
    border-bottom: 1px solid #1a1a1a;
    background: #202020;
    padding: 8px 10px;
    border-radius: 6px;
    margin-bottom: 12px;
}

.tabhall li:hover {
    background: #161616;
}

.iconhalluser {
    color: #6a6a6a;
}

.iconhallname {
    font-weight: 500;
    color: #c3c3c3;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    min-width: max-content;
}

.iconhallmessage {
    color: #8d8d8d;
    font-style: italic;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding: 0px 2px;
}

.iconhallprice {
    background: #1b8b1f;
    border-radius: 5px;
    font-weight: 500;
    padding: 0 4px;
    margin-left: auto;
    flex-flow: nowrap;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2px;
}

.numberone .iconhallname {
    color: #dfb108;
}

.numberone .iconhalluser {
    color: #dfb108;
}

.numbertwo .iconhallname  {
    color: #ffffff;
}

.numbertwo .iconhalluser  {
    color: #ffffff;
}

.numberthree .iconhallname {
    color: #c78a2e;
}

.numberthree .iconhalluser {
    color: #c78a2e;
}

.iconhalluser {
    font-size: 13px;
    font-weight: bold;
    color: #787878;
}

.pleaseheader {
    font-size: 25px;
    font-style: italic;
    font-weight: 700;
    color: #6e6e6e;
    letter-spacing: 1px;
    text-transform: capitalize;
    padding: 15px 0px 5px 0px;
    line-height: 28px;
}

p.pleasep {
    color: #ddd;
    font-size: 15px;
    line-height: 22px;
    font-style: italic;
}

.padding-bottom-donate {
    padding-bottom: 60px;
}

a.donatenow {
    text-align: center !important;
    text-decoration: underline !important;
    text-transform: lowercase !important;
    color: #e3e3e3 !important;
    letter-spacing: 0.5px !important;
    font-size: 14px !important;
    width: 100% !important;
    display: block !important;
    border-radius: 8px;
    padding: 7px;
    text-transform: uppercase !important;
    font-weight: 500;
}

a.donatenow:hover {
    background: #444;
    text-decoration: none !important;
}

.last-donate {
    width: 100%;
    height: auto;
    color: #7c7c7c;
    font-size: 14px;
    text-transform: uppercase;
    padding: 5px 0px;
}

.donate-button:hover {
    background: #e75345;
}

.donate h1 {
    font-size: 1.7em;
    color: #f5f5f5;
    margin-bottom: 0;
    line-height: 1.1em;
}

.h1andstop {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
}

.donate-all{
    display: none;
    position: fixed;
    top: 0;
    left: 0;

    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* translucent shadow */
    justify-content: center;
    align-items: flex-start;
    z-index: 9999;
    overflow-y: auto;
}
@media (min-width: 256px){
    .donate-all {
        width: 100%;
    }
}
.donate-form {
    background: white;   /* your dark background */
    width: auto;
    overflow-y: auto;
    position: relative;
    border-radius: 15px;
    top: 55px;
    min-width: 300px;
    padding: 20px;
}
.pictureGuideDiv{
    background: white;   /* your dark background */
    width: auto;
    overflow-y: auto;
    position: relative;
    border-radius: 15px;
    top: 55px;
    min-width: 300px;
    display: none;
    padding: 20px;
}

div#patreonAfterSend {
    max-width: 100%;
    color: #4caf50;
    font-size: 16px;
    text-align: center;
    font-weight: bold;
    line-height: 24px;
}

.donate-form form {
    display: flex;
    flex-direction: column;
}
.anonymousflex {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: space-between;
    background: #e7e7e7;
    padding: 8px;
}

input#donator-anonymous {
    margin: 0;
    padding: 0;
}

label#donator-anonymous {
    margin: 0;
    padding: 0;
}
.next-step-button {
    padding: 15px;
    background-color: #008cff;
    color: white;
    border: none;
    /* border-radius: 15px; */
    cursor: pointer;
    margin-top: 24px;
    margin-bottom: 24px;
    width: 90%;
    display: flex !important;
    justify-content: center;

}
.next-step-button:hover {
    background-color: #3b8dd5;
}
select#donator-amount {
    width: 100%;
    height: auto;
}

select#donator-platform {
    width: 100%;
    height: auto;
}

input#donator-nickname {
    width: 100%;
    height: auto;
}

input#donator-message {
    width: 100%;
    height: auto;
}

button#done-button {
    width: 100%;
    height: auto;
}

.error_message{
    color: red;
    display: none;
}
.positive_message{
    color: green;
    display: none;
    padding-top: 10px;
    padding-left: 40px;
    padding-right: 40px;
    text-align: justify;
    font-size: 14px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-weight: bold;
}

#btcAfterSend{
    display: none;
}
#afterSend{
    display: none;
}
.img-btc {
    width: 100%;
    height: auto;
    margin: 0 auto;
}
.adressSpan {
    color: black;
    font-size: 14px !important;
}

button.close-button {
    position: absolute;
    right: 0;
    top: 0px;
    background: #838383;
    padding: 2px 8px;
    margin: 4px;
    border-radius: 6px;
}

.copyadress {
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto;
    max-width: 350px;
    padding-bottom: 15px;
	min-width: 230px;
}

input#btcAddress {
    margin: 0;
    width: 100%;
}

.copyadress button {
    margin: 0;
    padding: 0;
    margin-right: 4px;
}

/* START HERE NEW */


.ribbon {
    background: white;
    color: black;
    padding: 3px 10px;
    font-weight: bold;
    position: absolute;
    top: 20%;
    right: 23px;
    border-radius: 5px;
    font-size: 12px;
    text-align: center;
}

.pribbon{
    margin-bottom: 0;
}
.pribbonprice{
    font-size: 24px; margin-bottom: 0;
    font-weight: bold;

}


.selectDonateOptions {
    padding: 5px;
}

.singleDonateOption {
    background: linear-gradient(122deg, rgba(171, 171, 171, 1) 0%, rgba(209, 207, 207, 1) 100%);
    min-width: 260px;
    border-radius: 5px;
    position: relative;
    padding: 14px;
    padding-left: 15px;
    margin: 2px;
    box-shadow: 0 4px 14px rgba(0, 0, 0, 0.2);
    font-size: 13px;
    min-height: 100px;
    cursor: pointer;
    margin-bottom: 5px;
}
.selectedOption {
    background: #008cff;
}
.singleDonateOption h3 {
    color: white;
    font-size: 20px;
    margin: 10px 0 5px 0;
}
.my-list {
    padding: 0;
    margin: 0;
    list-style-position: inside;
}
.discountclass {
    font-size: 10px;
}
.htriclass{
    margin: 0 !important;
}
.emailandnextsteps {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.emailandnextsteps input[type="text"] {
    width: 90%;
    padding: 8px 10px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 16px;
    color: #333;
    background-color: #fff;
}

.emailandnextsteps input[type="text"]:focus {
    outline: none;
    border-color: #66afe9;
    box-shadow: 0 0 3px rgba(102,175,233,0.6);
}
.stepclass{
    color: #008cff;
}
.stepdivclass{
    color: black;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /*padding-top: 10px;*/
    padding-bottom: 10px;
}
.ulstylespecial{
    list-style-type: lower-alpha;
    /* padding-left: 50px; */
    color: black;
    margin: 0;
    /* padding-right: 40px; */
    /* padding-bottom: 15px; */
    border: 1px solid #cdcdcd;
    border-radius: 4px;
    padding: 15px 35px 15px 35px;
}
.singlePicture{
    width: 260px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
	padding-top: 5px;
	margin: 7px 2px;
}
.selectedSingleCheckbox {
    position: absolute;
    top: 10%;
    right: 10px;
    appearance: none;
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    border: 2px solid #0066FF;
    border-radius: 4px;
    background-color: #fff;
    cursor: pointer;
}

.selectedSingleCheckbox:checked {
    background-color: #0066FF;
    border-color: #0066FF;
}

.selectedSingleCheckbox:checked::after {
    content: "";
    position: absolute;
    top: 2px;
    left: 6px;
    width: 4px;
    height: 10px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.selectedSingleCheckbox:disabled {
    pointer-events: none;
    opacity: 1;
    cursor: default;
}

.selectedSingleCheckbox:disabled:checked {
    background-color: #0066FF;
    border-color: #0066FF;
}
.textinform{
    padding-left: 40px;
    padding-right: 40px;
    text-align: justify;
    font-weight: normal;
    font-size: 12px;
    color: black;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.textinform a{
    color: #0066FF !important;
}
.textinform a:hover{
    text-decoration: underline !important;
    background:  #0066FF;
    border-radius: 15px;
    padding: 2px;
}
.positive_message a{
    color: #0066FF !important;
}
.positive_message a:hover{
    text-decoration: underline !important;
    background:  #0066FF;
    border-radius: 15px;
    padding: 2px;
}
.liclass{

}

.selectDonateOptions{
 margin-bottom: 15px;
}

.emailinfo {
    font-size: 13px;
    color: #363636;
}